Name:           urbanlightscape
Version:        1.3.3
Release:        %mkrel 5
Summary:        Utility for localised exposure correction
Group:          Graphics/Photography
License:        GPLv2+
Url:            http://www.indii.org/software/urbanlightscape
Source0:        http://www.indii.org/files/urbanlightscape/releases/%{name}-%{version}.tar.gz
Source1:        http://www.indii.org/images/%{name}_128.png

# bc is used to detect wxgtk
BuildRequires:  bc
BuildRequires:  boost-devel
BuildRequires:  imagemagick
BuildRequires:  libgomp-devel
BuildRequires:  wxgtk-devel

%description
Use Urban Lightscape for exposure correction, localised brightness
adjustments and the introduction of artificial lighting to a photo.
By placing control points on the photo, you are able to lighten or
darken (dodge or burn) at these points, with Urban Lightscape
cleverly interpolating between these points to infill adjustments
across the entire photo.

%prep
%setup -q

%build
# The added CXXFLAGS are suggested in the README file
%configure2_5x CXXFLAGS="${CXXFLAGS} -msse2 -O3 -g3"
%make

%install
%makeinstall

# Icon
for size in 16 32 48; do
  install -d %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/
  convert -geometry ${size}x${size} %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done
install -Dm 644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

# Menu entry
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Name=Urban Lightscape
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Categories=Graphics;Photography;
EOF

%files
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.htb
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Wed Feb 11 2015 akien <akien> 1.3.3-5.mga5
+ Revision: 814661
- Build with openmpi support

* Wed Feb 11 2015 akien <akien> 1.3.3-4.mga5
+ Revision: 814652
- Rebuild against wxWidgets 3.0, the application crashes with wxWidgets 2.8

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-3.mga5
+ Revision: 740316
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.3-2.mga5
+ Revision: 690073
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 akien <akien> 1.3.3-1.mga5
+ Revision: 639435
- Add CXXFLAGS suggested by upstream
- Version 1.3.3
- Add desktop entry and icon from upstream

* Sat Apr 26 2014 akien <akien> 1.3.2-1.mga5
+ Revision: 618206
- imported package urbanlightscape

